//+------------------------------------------------------------------+
//| basic to MA Candles Two Colors: Copylight  2013, File45 (Phylo)       |
//| http://codebase.mql4.com/en/author/file45 
//|
//| make for my system at october 26 2015                                           | 
//+------------------------------------------------------------------+
#property indicator_chart_window

#property indicator_buffers 4
#property indicator_color1 clrRoyalBlue
#property indicator_color2 clrGold
#property indicator_color3 clrRoyalBlue
#property indicator_color4 clrGold

extern int p                  =   256;
extern int price              =   4;
extern int Candle_Shadow_Width = 1;
extern int Candle_Body_Width = 2;
extern int bar=1000;
//extern int p=8;
int MA1	 = 1;
int MA1_MODE	= 0;
int MA1_PRICE	= 0;
int MA1_SHIFT = 0;

// ======================== indicator buffers

double Bar1[], Bar2[], Candle1[], Candle2[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function |
//+------------------------------------------------------------------+
int init()
{
   IndicatorShortName("Stopper");
   IndicatorBuffers(4);
   SetIndexBuffer(0,Bar1);
   SetIndexBuffer(1,Bar2);
   SetIndexBuffer(2,Candle1);
   SetIndexBuffer(3,Candle2);	
   SetIndexStyle(0,DRAW_HISTOGRAM,0,Candle_Shadow_Width);
   SetIndexStyle(1,DRAW_HISTOGRAM,0,Candle_Shadow_Width);
   SetIndexStyle(2,DRAW_HISTOGRAM,0,3);
   SetIndexStyle(3,DRAW_HISTOGRAM,0,3);
   return(0);
}

   double MA_1 (int i = 0){return(iCustom(NULL,0,"_TMA",4,i));}
   double MA_2 (int i = 0){return(iCustom(NULL,0,"_TMA",3,i));}
   
   //double HA1 (int i = 0){return(iCustom(NULL,0,"Heiken Ashi_SWAlert",0,i));}   
   //double HA2 (int i = 0){return(iCustom(NULL,0,"Heiken Ashi_SWAlert",1,i));}  
   
   //double DTI1 (int i = 0){return(iCustom(NULL,0,"ASCTrend 2_Caterpillar",p,price,1,i));}     
   //double DTI2 (int i = 0){return(iCustom(NULL,0,"ASCTrend 2_Caterpillar",p,price,0,i));}   
   
  

void SetCandleColor(int col, int i)
{
   double high,low,bodyHigh,bodyLow;

   bodyHigh = MathMax(Open[i],Close[i]);
   bodyLow = MathMin(Open[i],Close[i]);
   high	 = High[i];
   low	 = Low[i];
   
   Bar1[i]    = EMPTY_VALUE;
   Bar2[i]    = EMPTY_VALUE;
   Candle1[i] = EMPTY_VALUE;
   Candle2[i] = EMPTY_VALUE;

   switch(col)
   {
      case 1: Bar1[i] = high;	Bar2[i] = low; Candle1[i] = bodyHigh;	Candle2[i] = bodyLow; break;
      case 2: Bar2[i] = high;	Bar1[i] = low; Candle2[i] = bodyHigh;	Candle1[i] = bodyLow; break;
   }
}

int start()
{
   if (Period()<0)
   return(0);

   for(int i = MathMax(Bars-1-IndicatorCounted(),1); i>=0; i--)
   {
      double	Ma1	= MA_1(i);
      double	Ma2	= MA_2(i);
      //double ha1= HA1(i);
      //double ha2= HA2(i);
      //double dti=DTI1(i);
      //double dti2=DTI2(i);
      
      

      if(Ma1 > Ma2 /*&& ha1 == 0.0 && dti > dti2*/)	
      {
         SetCandleColor(1,i);
      }   
      else	
      {
         if(Ma1 < Ma2 /*&& ha2 == 0.0 && dti < dti2*/) SetCandleColor(2,i);
      }
   }
   return(0);
}

int deinit()
{
   return(0);
}